## WebKitDOMShadowRoot WebKitDOMShadowRoot |

## Functions

WebKitDOMDOMSelection * | webkit_dom_shadow_root_get_selection ()
WebKitDOMElement * | webkit_dom_shadow_root_get_element_by_id ()
WebKitDOMNodeList * | webkit_dom_shadow_root_get_elements_by_class_name ()
WebKitDOMNodeList * | webkit_dom_shadow_root_get_elements_by_tag_name ()
WebKitDOMNodeList * | webkit_dom_shadow_root_get_elements_by_tag_name_ns ()
WebKitDOMElement * | webkit_dom_shadow_root_element_from_point ()
WebKitDOMElement * | webkit_dom_shadow_root_get_active_element ()
gboolean | webkit_dom_shadow_root_get_apply_author_styles ()
void | webkit_dom_shadow_root_set_apply_author_styles ()
gboolean | webkit_dom_shadow_root_get_reset_style_inheritance ()
void | webkit_dom_shadow_root_set_reset_style_inheritance ()
gchar * | webkit_dom_shadow_root_get_inner_html ()
void | webkit_dom_shadow_root_set_inner_html ()

## Properties

WebKitDOMElement * | active-element | Read
gboolean | apply-author-styles | Read / Write
gchar * | inner-html | Read / Write
gboolean | reset-style-inheritance | Read / Write

## Types and Values

| WebKitDOMShadowRoot

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMDocumentFragment
                    ╰── WebKitDOMShadowRoot

## Implemented Interfaces

WebKitDOMShadowRoot implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_shadow_root_get_selection ()

    WebKitDOMDOMSelection *
    webkit_dom_shadow_root_get_selection (WebKitDOMShadowRoot *self);

#### Parameters

self | A WebKitDOMShadowRoot |

#### Returns

A WebKitDOMDOMSelection.

[transfer none]

### webkit_dom_shadow_root_get_element_by_id ()

    WebKitDOMElement *
    webkit_dom_shadow_root_get_element_by_id
                                   (WebKitDOMShadowRoot *self,
                                    const gchar *elementId);

#### Parameters

self | A WebKitDOMShadowRoot |
elementId | A gchar |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_shadow_root_get_elements_by_class_name ()

    WebKitDOMNodeList *
    webkit_dom_shadow_root_get_elements_by_class_name
                                   (WebKitDOMShadowRoot *self,
                                    const gchar *className);

#### Parameters

self | A WebKitDOMShadowRoot |
className | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer none]

### webkit_dom_shadow_root_get_elements_by_tag_name ()

    WebKitDOMNodeList *
    webkit_dom_shadow_root_get_elements_by_tag_name
                                   (WebKitDOMShadowRoot *self,
                                    const gchar *tagName);

#### Parameters

self | A WebKitDOMShadowRoot |
tagName | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer none]

### webkit_dom_shadow_root_get_elements_by_tag_name_ns ()

    WebKitDOMNodeList *
    webkit_dom_shadow_root_get_elements_by_tag_name_ns
                                   (WebKitDOMShadowRoot *self,
                                    const gchar *namespaceURI,
                                    const gchar *localName);

#### Parameters

self | A WebKitDOMShadowRoot |
namespaceURI | A gchar |
localName | A gchar |

#### Returns

A WebKitDOMNodeList.

[transfer none]

### webkit_dom_shadow_root_element_from_point ()

    WebKitDOMElement *
    webkit_dom_shadow_root_element_from_point
                                   (WebKitDOMShadowRoot *self,
                                    glong x,
                                    glong y);

#### Parameters

self | A WebKitDOMShadowRoot |
x | A glong |
y | A glong |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_shadow_root_get_active_element ()

    WebKitDOMElement *
    webkit_dom_shadow_root_get_active_element
                                   (WebKitDOMShadowRoot *self);

#### Parameters

self | A WebKitDOMShadowRoot |

#### Returns

A WebKitDOMElement.

[transfer none]

### webkit_dom_shadow_root_get_apply_author_styles ()

    gboolean
    webkit_dom_shadow_root_get_apply_author_styles
                                   (WebKitDOMShadowRoot *self);

#### Parameters

self | A WebKitDOMShadowRoot |

#### Returns

A gboolean

### webkit_dom_shadow_root_set_apply_author_styles ()

    void
    webkit_dom_shadow_root_set_apply_author_styles
                                   (WebKitDOMShadowRoot *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMShadowRoot |
value | A gboolean |

### webkit_dom_shadow_root_get_reset_style_inheritance ()

    gboolean
    webkit_dom_shadow_root_get_reset_style_inheritance
                                   (WebKitDOMShadowRoot *self);

#### Parameters

self | A WebKitDOMShadowRoot |

#### Returns

A gboolean

### webkit_dom_shadow_root_set_reset_style_inheritance ()

    void
    webkit_dom_shadow_root_set_reset_style_inheritance
                                   (WebKitDOMShadowRoot *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMShadowRoot |
value | A gboolean |

### webkit_dom_shadow_root_get_inner_html ()

    gchar *
    webkit_dom_shadow_root_get_inner_html (WebKitDOMShadowRoot *self);

#### Parameters

self | A WebKitDOMShadowRoot |

#### Returns

A gchar

### webkit_dom_shadow_root_set_inner_html ()

    void
    webkit_dom_shadow_root_set_inner_html (WebKitDOMShadowRoot *self,
                                           const gchar *value,
                                           GError **error);

#### Parameters

self | A WebKitDOMShadowRoot |
value | A gchar |
error | GError |

## Types and Values

### WebKitDOMShadowRoot

    typedef struct _WebKitDOMShadowRoot WebKitDOMShadowRoot;

## Property Details

### The `“active-element”` property

      “active-element”           WebKitDOMElement *

read-only WebKitDOMElement* ShadowRoot:active-element.

Flags: Read

### The `“apply-author-styles”` property

      “apply-author-styles”      gboolean

read-write gboolean ShadowRoot:apply-author-styles.

Flags: Read / Write

Default value: FALSE

### The `“inner-html”` property

      “inner-html”               gchar *

read-write gchar* ShadowRoot:inner-html.

Flags: Read / Write

Default value: ""

### The `“reset-style-inheritance”` property

      “reset-style-inheritance”  gboolean

read-write gboolean ShadowRoot:reset-style-inheritance.

Flags: Read / Write

Default value: FALSE